<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: new_infusion.php
| Author: INSERT NAME HERE
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";

require_once INCLUDES."output_handling_include.php";
require_once THEME."theme.php";
require_once INCLUDES."header_includes.php";

include INFUSIONS."pjirc_4_fusion/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."pjirc_4_fusion/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."pjirc_4_fusion/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."pjirc_4_fusion/locale/English.php";
}

include INFUSIONS."pjirc_4_fusion/includes/irc_config.php";

if ($settings['maintenance'] == "1" && !iADMIN) { redirect(BASEDIR."maintenance.php"); }
if (iMEMBER) { $result = dbquery("UPDATE ".DB_USERS." SET user_lastvisit='".time()."', user_ip='".USER_IP."' WHERE user_id='".$userdata['user_id']."'"); }

echo "<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'>\n";
echo "<html xmlns='http://www.w3.org/1999/xhtml' xml:lang='".$locale['xml_lang']."' lang='".$locale['xml_lang']."'>\n";
echo "<head>\n<title>".$settings['sitename']." - $title</title>\n";
echo "<meta http-equiv='Content-Type' content='text/html; charset=".$locale['charset']."' />\n";
echo "<meta name='description' content='".$settings['description']."' />\n";
echo "<meta name='keywords' content='".$settings['keywords']."' />\n";
echo "<link rel='stylesheet' href='".THEME."styles.css' type='text/css' media='screen' />\n";
echo "<link rel='shortcut icon' href='".IMAGES."favicon.ico' type='image/x-icon' />\n";
if (function_exists("get_head_tags")) { echo get_head_tags(); }
echo "<script type='text/javascript' src='".INCLUDES."jscript.js'></script>\n";
echo "<script type='text/javascript' src='".INCLUDES."jquery.js'></script>\n";
echo "<script type='text/javascript' src='includes/chat.js'></script>\n";
echo "</head>\n";

// ===============================================================================
// == Index Normal ==========================================================
// ===============================================================================

if($page == ""): 
echo "<body onload='document.login.nick.focus();'>\n";
require_once THEMES."templates/panels.php";
ob_start();
//echo "<body onload='document.login.nick.focus();'>\n";
opentable($title);
echo "<div align='center'>".logo()."<br />\n";
echo "<form name='login' action='".FUSION_SELF."' method='$method' onsubmit='return RandomNick();'>\n";
echo "<input type='hidden' name='page' value='chat' />\n";
echo "<table width='100%'>\n<tr>\n";
echo "<td align='center'>\n";
echo "<table width='100%' cellpadding='18'>\n<tr>\n";
echo "<td align='center' valign='top' class='tall'><hr />$headline<hr /></td>\n";
echo "</tr>\n</table>\n";
echo "<table width='100%'>\n<tr>\n";
echo "<td align='right' class='medium'>".$locale['p4f_005'].":&nbsp;</td>\n";
echo "<td><input name='nick' type='text' class='textbox' value='$nick' /></td>\n";
echo "</tr><tr>\n";
echo "<td align='right' class='medium'>".$locale['p4f_006'].":&nbsp;</td>\n";
echo "<td><input name='smileys' type='radio' checked='checked' value='1' />".$locale['p4f_007']."&nbsp;\n";
echo "<input name='smileys' type='radio' value='0' />".$locale['p4f_008']."&nbsp;</td>\n";
echo "</tr>\n</table>\n";
echo "<table>\n<tr>\n";
echo "<td align='center' height='20'><input class='button' type='submit' value='".$locale['p4f_009']."' /></td>\n";
echo "</tr><tr>\n";
echo "<td align='center' height='20' class='small'><a href='".FUSION_SELF."?page=advanced'>".$locale['p4f_010']."</a></td>\n";
echo "</tr>\n</table>\n";
echo "</td></tr></table>\n";
echo "</form>\n";
endif;

// ===============================================================================
// == Index Advanced ========================================================
// ===============================================================================

if($page == "advanced"):
echo "<body onload='document.login.nick.focus();'>\n";
require_once THEMES."templates/panels.php";
ob_start();
opentable($title);
echo "<div align='center'>".logo()."<br />\n";
echo "<form name='login' action='".FUSION_SELF."' method='$method' onsubmit='return chkForm();'>\n";
echo "<input type='hidden' name='page' value='chat' />\n";
echo "<table width='100%'>\n<tr>\n";
echo "<td align='center'>\n";
echo "<table width='100%' cellpadding='18'>\n<tr>\n";
echo "<td align='center' valign='top' class='tall'><hr />$headline<hr /></td>\n";
echo "</tr>\n</table>\n";
echo "<table width='80%'>\n<tr>\n";
echo "<td align='right' class='medium'>".$locale['p4f_005'].":&nbsp;</td>\n";
echo "<td><input name='nick' type='text' class='textbox' value='$nick' /></td>\n";
echo "</tr><tr>\n";
echo "<td align='right' class='medium'>".$locale['p4f_011'].":&nbsp;</td>\n";
echo "<td><input name='pass' type='password' class='textbox' /></td>\n";
echo "</tr><tr>\n";
echo "<td align='right' class='medium'>".$locale['p4f_012'].":&nbsp;</td>\n";
echo "<td><input name='chan' type='text' value='$chan' class='textbox' /></td>\n";
echo "</tr><tr>\n";
echo "<td align='right' class='medium'>".$locale['p4f_013'].":&nbsp;</td>\n";
echo "<td><input name='host' type='text' value='$host' class='textbox' /></td>\n";
echo "</tr><tr>\n";
echo "<td align='right' class='medium'>".$locale['p4f_045'].":&nbsp;</td>\n";
echo "<td><input name='port' type='text' value='$port' class='textbox' /></td>\n";
echo "</tr><tr>\n";
echo "<td align='right' class='medium'>".$locale['p4f_014'].":&nbsp;</td>\n";
echo "<td><select name='style' size='1' class='textbox'>\n";
echo "<option value='".$locale['p4f_015']."'".($style == "".$locale['p4f_015']."" ? " selected='selected'" : "").">".$locale['p4f_015']."</option>\n";
echo "<option value='".$locale['p4f_016']."'".($style == "".$locale['p4f_016']."" ? " selected='selected'" : "").">".$locale['p4f_016']."</option>\n";
echo "<option value='".$locale['p4f_017']."'".($style == "".$locale['p4f_017']."" ? " selected='selected'" : "").">".$locale['p4f_017']."</option>\n";

//echo "<option ($style==".$locale['p4f_015']) ? "selected='selected'" : "" ; >".$locale['p4f_015']."</option>\n";
//echo "<option ($style==".$locale['p4f_016']) ? "selected='selected'" : "" ; >".$locale['p4f_016']."</option>\n";
//echo "<option ($style==".$locale['p4f_017']) ? "selected='selected'" : "" ; >".$locale['p4f_017']."</option>\n";
echo "</select></td>\n";
echo "</tr><tr>\n";
echo "<td align='right' class='medium'>".$locale['p4f_018'].":&nbsp;</td>\n";
echo "<td><select name='font' size='1' class='textbox'>\n";
echo "<option>".$locale['p4f_019']."</option>\n";
echo "<option selected='selected'>".$locale['p4f_020']."</option>\n";
echo "<option>".$locale['p4f_021']."</option>\n";
echo "<option>".$locale['p4f_022']."</option>\n";
echo "<option>".$locale['p4f_023']."</option>\n";
echo "<option>".$locale['p4f_024']."</option>\n";
echo "</select></td>\n";
echo "</tr><tr>\n";
echo "<td align='right' class='medium'>".$locale['p4f_025'].":&nbsp;</td>\n";
echo "<td><select name='font2' size='1' class='textbox'>\n";
echo "<option>10</option>\n";
echo "<option>11</option>\n";
echo "<option>12</option>\n";
echo "<option selected='selected'>14</option>\n";
echo "<option>15</option>\n";
echo "<option>16</option>\n";
echo "</select></td>\n";
echo "</tr><tr>\n";
echo "<td align='right' class='medium'>".$locale['p4f_006'].":&nbsp;</td>\n";
echo "<td><input name='smileys' type='radio' value='1' checked='checked' />".$locale['p4f_007']."&nbsp;\n";
echo "<input name='smileys' type='radio' value='0' />".$locale['p4f_008']."&nbsp;</td>\n";
echo "</tr>\n</table>\n";
echo "<table>\n<tr>\n";
echo "<td align='center' height='20'><input class='button' type='submit' value='".$locale['p4f_046']."' /></td>\n";
echo "</tr><tr>\n";
echo "<td align='center' height='20' class='small'><a href='".FUSION_SELF."?page=chat'>".$locale['p4f_026']."</a></td>\n";
echo "</tr>\n</table>\n";
echo "</td>\n</tr>\n</table>\n";
echo "</form>\n";
endif;

// ===============================================================================
// == mainpage ==============================================================
// ===============================================================================

if($page == "chat"): 
echo "<body class='back'>\n";
require_once THEMES."templates/panels.php";
ob_start();
opentable($title);
echo "<div align='center'>\n";
echo "<table width='100%'>\n<tr>\n";
echo "<td class='small' width='100%'>".$locale['p4f_027']." <a href='".FUSION_SELF."'>".$locale['p4f_009']."</a></td>\n";
echo "</tr><tr>\n";
echo "<td align='center' valign='top' class='color'>\n";
echo "<applet name='pjirc' code='IRCApplet.class' archive='irc.jar, pixx.jar' width='100%' height='400'>\n";
echo "<param name='CABINETS' value='irc.cab, securedirc.cab, pixx.cab' />\n";
echo "<param name='nick' value='$nick' />\n";
echo "<param name='alternatenick' value='$nick?' />\n";
echo "<param name='host' value='$host' />\n";
echo "<param name='port' value='$port' />\n";
echo "<param name='name' value='$name' />\n";
echo "<param name='userid' value='$nick' />\n";
echo "<param name='command1' value='$pass' />\n";
echo "<param name='command2' value='$channel' />\n";
echo "<param name='quitmessage' value='$quit_message' />\n";
echo "<param name='languageencoding' value='ISO-8859-2' />\n";
echo "<param name='soundword1' value='".strtolower($nick)." sounds/ding.au' />\n";
echo "<param name='language' value='languages/$language' />\n";
echo "<param name='lngextension' value='$langEx' />\n";
echo "<param name='soundbeep' value='sounds/bell2.au' />\n";
echo "<param name='soundquery' value='sounds/ding.au' />\n";
echo "<param name='highlight' value='true' />\n";
echo "<param name='gui' value='pixx' />\n";
echo "<param name='style:backgroundimage' value='true' />\n";
echo "<param name='style:backgroundimage1' value='all all 0 tlo.jpg' />\n";
echo "<param name='style:sourcefontrule1' value='Status+Channel+Query all ",$font." ".$font2."' />\n";
if($smileys) {
    echo "\t\t\t\t\t<param name='style:bitmapsmileys' value='true' />\n";
	$i=0; $x=1;
	while(isset($smiley[$i][0])) {
		$k=1;
		while(isset($smiley[$i][$k])) {
			$img = $imgpath."/smileys/".$smiley[$i][0].$imgEx;
			$smiley[$i][$k] = str_replace("\\", "", $smiley[$i][$k]);
			echo "\t\t\t\t\t<param name='style:smiley".$x."' value='".$smiley[$i][$k]." ".$img."' />\n";
			$x++; $k++;
		}
		$i++;
	}
}
echo "\n";
if($style == "Default") echo "\t\t\t\t\t<param name='pixx:nickfield' value='true' />\n";
echo "<param name='pixx:language' value='languages/pixx-$language' />\n";
echo "<param name='pixx:highlightnick' value='true' />\n";
echo "<param name='pixx:styleselector' value='true' />\n";
echo "<param name='pixx:setfontonstyle' value='true' />\n";
echo "<param name='pixx:timestamp' value='true' />\n";
echo "<param name='pixx:mouseurlopen' value='1 2' />\n";
echo "<param name='pixx:mousechanneljoin' value='1 2' />\n";

echo "\t\t\t\t\t<param name='pixx:configurepopup' value='true' />\n";
$i = 0;
while(isset($popupmenu[$i][0])) {
	echo "\t\t\t\t\t<param name='pixx:popupmenustring".($i+1)."' value='".$popupmenu[$i][0]."' />\n";
	$i++;
}

$i = 0;
while(isset($popupmenu[$i][0])) {
	$k = 1;
	while(isset($popupmenu[$i][$k])) {
		echo "\t\t\t\t\t<param name='pixx:popupmenucommand".($i+1)."_".$k."' value='".$popupmenu[$i][$k]."' />\n";
		$k++;
	}
	$i++;
}

if(isset($which)) {
	$i=0;
	while(isset($colorset[$i][$which])) {
		echo "\t\t\t\t\t<param name='pixx:color".$i."' value='".$colorset[$i][$which]."' /> ";
		echo $comment[$i][0]."\n";
		$i++;
	}
}

echo "\t\t\t\t</applet>\n";

// ===============================================================================
// == Smileys ===============================================================
// ===============================================================================

    if($smileys): 
        echo "<table width='100%' cellspacing='0' cellpadding='0'>\n<tr>\n<td>\n";
        echo "<table cellpadding='3' width='100%'>\n<tr>\n";
        echo "<td valign='top' width='100%'><img src='images/blank.gif' width='50' height='1' alt='|' />\n";
        $i = 0;
        while(isset($smiley[$i][0])) {
            $img = $imgpath."/smileys/".$smiley[$i][0].$imgEx;
            echo "\t\t\t\t\t\t</td><td valign='top'>\n";
            if (is_readable($img)) {
                $size  = GetImageSize($img);
                $smiley[$i][1] = str_replace("'", "\'", $smiley[$i][1]);
                echo "\t\t\t\t\t\t\t<a href='javascript:smiley(\"".$smiley[$i][1]."\")'>\n";
                echo "\t\t\t\t\t\t\t<img src='".$img."' ".$size[3]." border='0' alt='".$smiley[$i][1]."' /></a>&nbsp;\n";
            } else {
                $smiley[$i][1] = str_replace("'", "\'", $smiley[$i][1]);
                echo "\t\t\t\t\t\t\t<a href='javascript:smiley(".$smiley[$i][1].")' title='/".$img." not found'>\n";
                $smiley[$i][1] = str_replace("\\", "", $smiley[$i][1]);
                echo $smiley[$i][1]."</a>&nbsp;\n";
                $warning_smiley = true;
            }
            $i++;
        }
        echo "</td>\n</tr>\n</table>\n";
        echo "</td>\n</tr>\n</table>\n";
    endif;
    echo "</td>\n</tr>\n</table><br />\n";

// ===============================================================================
// == Away/Back Buttons/Input field =========================================
// ===============================================================================

    if($buttons): 
        echo "<form name='form' action='".FUSION_SELF."'>\n";
        echo "<table width='100%'>\n<tr>\n<td>\n";
        echo "<span class='medium'>".$locale['p4f_028'].":&nbsp;</span>\n";
        echo "<input class='textbox' name='away_reason' type='text' size='30' />\n";
        echo "<input class='button' type='button' value='Jestem Niedostpny(a)' onclick='maway(document.form.away_reason.value,$nick);' />\n";
        echo "<input class='button' type='button' value='Wrciem(am)' onclick='mback(document.form.away_reason.value,$nick);' />\n";
        echo "</td>\n</tr>\n</table>\n";
        echo "</form>\n";
    endif;

// ===============================================================================
// == Warnings ==============================================================
// ===============================================================================

    if(isset($warning_smiley) && $warning_smiley): 
        echo "<table width='100%' cellpadding='0' cellspacing='0' class='border'>\n<tr>\n<td>\n";
        echo "<table style='background-color: white;' width='100%'>\n<tr>\n";
        echo "<td valign='top' class='small'><strong>".$locale['p4f_029'].":&nbsp;</strong></td>\n";
        echo "<td valign='top' class='small'>".$locale['p4f_030']."<strong>$imgpath</strong> ".$locale['p4f_031']."\n";
        echo "<br />".$locale['p4f_032']."</td>\n";
        echo "</tr></table>\n";
        echo "</td></tr></table>\n";
    endif;
endif;
echo "</div>\n";
//echo "</body>\n</html>\n";
closetable();
require_once THEMES."templates/footer.php";
?>