<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Shoutcast
| Copyright  2007 - 2008 Stephan Hansson (StarglowOne)
| http://www.starglowone.com/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Stephan Hansson (StarglowOne)
+--------------------------------------------------------+
| This program is released as free software under the
| Stars Heaven Licence. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included licence.html.
| Removal of this copyright header is strictly
| prohibited without written permission
| from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."pjirc_4_fusion/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."pjirc_4_fusion/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."pjirc_4_fusion/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."pjirc_4_fusion/locale/English.php";
}

// Infusion general information
$inf_title = $locale['p4f_title'];
$inf_description = $locale['p4f_desc'];
$inf_version = $locale['p4f_version'];
$inf_developer = "AusiMods & StarglowOne";
$inf_email = "support@starglowone.com";
$inf_weburl = "http://www.starglowone.com";

$inf_folder = "pjirc_4_fusion"; // The folder in which the infusion resides.

// Delete any items not required here.
$inf_newtable[1] = DB_P4F_CONFIG." (
    page VARCHAR( 50 ) NOT NULL ,
    host VARCHAR( 200 ) NOT NULL ,
    port VARCHAR( 5 ) NOT NULL ,
    channel VARCHAR( 100 ) NOT NULL ,
    quit_message VARCHAR( 200 ) NOT NULL ,
    page_title VARCHAR( 100 ) NOT NULL ,
    headline VARCHAR( 200 ) NOT NULL ,
    style VARCHAR( 50 ) NOT NULL ,
    logo VARCHAR( 200 ) NOT NULL ,
    link VARCHAR( 200 ) NOT NULL ,
    alt VARCHAR( 200 ) NOT NULL ,
    PRIMARY KEY (page)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_P4F_CONFIG." (
    page, 
    host, 
    port, 
    channel, 
    quit_message, 
    page_title, 
    headline, 
    style, 
    logo, 
    link, 
    alt
) VALUES (
    'advanced', 
    'irc.freenode.com', 
    '6667', 
    'phpfusion', 
    '".$locale['p4f_001']."', 
    '".$locale['p4f_002']."', 
    '".$locale['p4f_003']."', 
    'Default', 
    'pjirclogo.gif', 
    'http://www.pjirc.com', 
    '".$locale['p4f_004']."' 
)";

$inf_droptable[1] = DB_P4F_CONFIG;

$inf_adminpanel[1] = array(
	"title" => $locale['p4f_admin1'],
	"image" => "pjirc_4_fusion.gif",
	"panel" => "admin.php",
	"rights" => "P4F"
);

$inf_sitelink[1] = array(
	"title" => $locale['p4f_link1'],
	"url" => "index.php",
	"visibility" => "101"
);

?>