<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: new_infusion_admin.php
| Author: INSERT NAME HERE
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."pjirc_4_fusion/infusion_db.php";

if (!checkrights("P4F") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."pjirc_4_fusion/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."pjirc_4_fusion/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."pjirc_4_fusion/locale/English.php";
}

if (isset($_POST['savesettings'])) {
    $result = dbquery("UPDATE ".DB_P4F_CONFIG." 
        SET 
            page = '".stripinput($_POST['page'])."', 
            host = '".stripinput($_POST['host'])."', 
            port = '".stripinput($_POST['port'])."', 
            channel = '".stripinput($_POST['channel'])."', 
            quit_message = '".stripinput($_POST['quit_message'])."', 
            page_title = '".stripinput($_POST['page_title'])."', 
            headline = '".stripinput($_POST['headline'])."', 
            style = '".stripinput($_POST['style'])."', 
            logo = '".stripinput($_POST['logo'])."', 
            link = '".stripinput($_POST['link'])."', 
            alt = '".stripinput($_POST['alt'])."'
    ");

		redirect($PHP_SELF.$aidlink);
}
$editircconfig = dbarray(dbquery("SELECT * FROM ".DB_P4F_CONFIG." "));
	
opentable($locale['p4f_033']);
echo "<form name='eventircform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table width='100%' cellspacing='0' cellpadding='0' class='tbl'>\n<tr>\n";
echo "<td>".$locale['p4f_034']."</td>\n";
echo "<td><select name='page' size='1' class='textbox'>\n";
echo "<option value='advanced'"; if ($editircconfig['page'] == "advanced") { echo " selected='selected'"; } echo ">".$locale['p4f_010']."</option>\n";
echo "<option value='chat'"; if ($editircconfig['page'] == "chat") { echo " selected='selected'"; } echo ">".$locale['p4f_026']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td>".$locale['p4f_035']."</td>\n";
echo "<td><input value='".$editircconfig['host']."' name='host' type='text' class='textbox' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td>".$locale['p4f_045']."</td>\n";
echo "<td><input value='".$editircconfig['port']."' name='port' type='text' class='textbox' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td>".$locale['p4f_036']."</td>\n";
echo "<td><input value='".$editircconfig['channel']."' name='channel' type='text' class='textbox' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td>".$locale['p4f_037']."</td>\n";
echo "<td><input value='".$editircconfig['quit_message']."' name='quit_message' type='text' class='textbox' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td>".$locale['p4f_038']."</td>\n";
echo "<td><input value='".$editircconfig['page_title']."' name='page_title' type='text' class='textbox' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td>".$locale['p4f_039']."</td>\n";
echo "<td><input value='".$editircconfig['headline']."' name='headline' type='text' class='textbox' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td>".$locale['p4f_040']."</td>\n";
echo "<td><select name='style' size='1' class='textbox'>\n";
echo "<option value='Silver'"; if ($editircconfig['style'] == "Silver") { echo " selected='selected'"; } echo ">".$locale['p4f_015']."</option>\n";
echo "<option value='Brown'"; if ($editircconfig['style'] == "Brown") { echo " selected='selected'"; } echo ">".$locale['p4f_016']."</option>\n";
echo "<option value='Default'"; if ($editircconfig['style'] == "Default") { echo " selected='selected'"; } echo ">".$locale['p4f_017']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td>".$locale['p4f_041']."</td>\n";
echo "<td><input value='".$editircconfig['logo']."' name='logo' type='text' class='textbox' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td>".$locale['p4f_042']."</td>\n";
echo "<td><input value='".$editircconfig['link']."' name='link' type='text' class='textbox' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td>".$locale['p4f_043']."</td>\n";
echo "<td><input value='".$editircconfig['alt']."' name='alt' type='text' class='textbox' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='center'>\n";
echo "<input type='submit' name='savesettings' value='".$locale['p4f_044']."' class='button' /></td>\n";
echo "</tr>\n</table>\n";
echo "</form>";
closetable();

require_once THEMES."templates/footer.php";
?>